PHP_ASTERISK=no

AC_ARG_WITH(asterisk,
[  --with-asterisk=MODULEDIR    Build PHP as an Asterisk module],[
  INSTALL_IT="\$(INSTALL) -m 0755 $SAPI_SHARED $withval/lib/asterisk/modules/res_php.so"
  AC_CHECK_HEADERS(asterisk/config.h,[:],[AC_MSG_ERROR([Cannot find asterisk/config.h])])
  PHP_SELECT_SAPI(asterisk, shared, php_asterisk.c)
  PHP_ASTERISK=yes
])

AC_MSG_CHECKING(for ASTERISK)
AC_MSG_RESULT($PHP_ASTERISK)

unset PHP_ASTERISK
